Canadian Mac Forums at ehMac banner

1 - 6 of 6 Posts

·
Premium Member
Joined
·
2,465 Posts
Discussion Starter · #1 ·
Looks like the beige G3s aren't going to be supported in OS X 10.2.3 (Panther.) If you have a look at www.thinksecret.com, they have a series of screen shots from the Panther beta. One of them shows hardware requirements - nothing but "New World" Macs are supported - no beige desktops or older G3 PowerBooks. This may change in the release version, but I wouldn't bet the farm on it. Apple has stated that they won't support models over 5 years old, and their beige support in OS X has always sucked. I guess I got my G4 just in time! I was lucky to get enough for my beige G3 to buy a Radeon card for the G4.

Cheers :-> Bill
 

·
Registered
Joined
·
438 Posts
meh, ill be good with x.2 on my powerbook g3 wallstreet. plus, panther 10.3 is gonna run great on my dual mdd G4!! :D :D ! Maybe a G5 will appear in my house in the near future.... who knows? I think the next MAC I will be getting is going to be a PowerBook, maybe an iBook...

:D
 

·
Premium Member
Joined
·
1,436 Posts
I can't see why it wouldn't work unless compatability were intentionally broken.

All macs while running Mac OS X are technically New World because Mac OS X replaces the toolbox rom with it's own new world rom in memory as soon as it boots.

And if you have a Firelink USB card, (firelink being the USB controller used in the original iMac and Blue G3) your Mac can't actually tell if your USB is built in USB or not.
 

·
Registered
Joined
·
2,198 Posts
For what it's worth, the system requirements for the Panther developer preview omit not only Beige G3s, but also PowerBook G3s and PowerBook G4s.

I'd be very surprised if Panther didn't run on PowerBook G4s!
 

·
Premium Member
Joined
·
6,795 Posts
All i can think is, if it will run on any iBook/iMac, it should be workable on any G3. I wouldn't worry about it too much. Not yet anyway.

--PB
 
1 - 6 of 6 Posts
Top